cascading.provider

## Class ProviderLoader<Provider>

- java.lang.Object
- - cascading.provider.ProviderLoader<Provider>

- Direct Known Subclasses:
    FactoryLoader, ServiceLoader

      public class ProviderLoader<Provider>
      extends Object

  Class ProviderLoader is the base class for loading various "provider" types.

  This loader can optinally load a provider implementation within its own ClassLoader using the `ChildFirstURLClassLoader`.
  See Also:
    `FactoryLoader`, `ServiceLoader`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProviderLoader()`
    `ProviderLoader(String[] exclusions, URL libraryURL)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Provider` | `createProvider(String className)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProviderLoader

          public ProviderLoader()

    - #### ProviderLoader

          public ProviderLoader(String[] exclusions,
                        URL libraryURL)

  - ### Method Detail

    - #### createProvider

          public Provider createProvider(String className)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.